package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Set;

public class MenuCopyRecipeStallDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("档口id")
   private @Size(
   min = 1,
   message = "{menu_stall_id_null}"
) Set<Long> stallIdSet;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Set<Long> getStallIdSet() {
      return this.stallIdSet;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setStallIdSet(final Set<Long> stallIdSet) {
      this.stallIdSet = stallIdSet;
   }

}
